<?php
session_start();

require '../vendor/autoload.php';
require '../config.php';

$accessToken = '';
if (isset($_SESSION['accessToken'])) {
    $accessToken = $_SESSION['accessToken'];
}
if (!$accessToken) {
    header('Location: auth.php');
    die();
}

$api = new SpotifyWebAPI\SpotifyWebAPI();
$api->setAccessToken($accessToken);

$user = $api->me();

$templateData = [];

$templateData['user'] = $user;
$templateData['userImageUrl'] = '';
if ($user->images[0]) {
    $templateData['userImageUrl'] = $user->images[0]->url;
}
$templateData['playlists'] = $api->getUserPlaylists($user->id)->items;

require '../template.php';
